// StreamerDlg.h : header file
//

#if !defined(AFX_STREAMERDLG_H__ED428FD2_9A18_4D08_A96B_5957574E09BD__INCLUDED_)
#define AFX_STREAMERDLG_H__ED428FD2_9A18_4D08_A96B_5957574E09BD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CyAPI.h"
#include <pdh.h>


/////////////////////////////////////////////////////////////////////////////
// CStreamerDlg dialog

class CStreamerDlg : public CDialog
{
// Construction
public:
	CStreamerDlg(CWnd* pParent = NULL);	// standard constructor
	CCyUSBDevice *USBDevice;
    CCyUSBEndPoint *InEndPt;

	bool bStreaming;
	bool bIsoc;

    UINT_PTR m_nTimer;

	ULONG ulCpuCycles;
	ULONG ulCpuCount;

	LONG Successes;
	LONG Failures;
	LONG BytesXferred;
	ULONG Rate;

	DWORD t1, t2;


	CString sLastPPX;

	CWinThread *XferThread;

// Dialog Data
	//{{AFX_DATA(CStreamerDlg)
	enum { IDD = IDD_STREAMER_DIALOG };
	CStatic	m_DeviceName;
	CStatic	m_DriverVer;
	CStatic	m_NumDevices;
	CStatic	m_AvgCpuValue;
	CStatic	m_CpuValue;
	CProgressCtrl	m_CpuProgress;
	CComboBox	m_PacketsCombo;
	CButton	m_BulkRadBtn;
	CButton	m_IsocRadBtn;
	CButton	m_BufferedRadBtn;
	CButton	m_DirectRadBtn;
	CButton	m_FileRadBtn;
	CStatic	m_Rate;
	CStatic	m_PktSize;
	CEdit	m_PPX;
	CStatic	m_XferSzLabel;
	CButton	m_StartStop;
	CEdit	m_TimeOut;
	CStatic	m_FailureLabel;
	CStatic	m_SuccessLabel;
	CEdit	m_QueueSzEdit;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStreamerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL



// Implementation
protected:
	HICON m_hIcon;

	HQUERY hQuery;
	HCOUNTER hCounter;
	bool bCounterInit;

	LONG GetCPUCycle();

	// Generated message map functions
	//{{AFX_MSG(CStreamerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	afx_msg void OnClose();
	afx_msg void OnIsocradio();
	afx_msg void OnBulkradio();
	afx_msg void OnBufferedRadio();
	afx_msg void OnDirectRadio();
	afx_msg void OnFileRadio();
	afx_msg void OnEditchangePacketscombo();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STREAMERDLG_H__ED428FD2_9A18_4D08_A96B_5957574E09BD__INCLUDED_)
